<?php
	$base = $_REQUEST['imagem'];
	
	// código do produto
	$codproduto = $_GET['codproduto'];
	
	// nome da imagem
	$nome = $_GET['nome'];
	
	// entra no diretório das imagens dos produtos
	chdir("produtos");
	$diretorio = getcwd();
	
	// verifica o parâmetro codproduto
	if(isset($_GET["codproduto"])){
		$codproduto = $_GET["codproduto"];
		$diretorio_img = $diretorio."\\".$codproduto;
		
		// caso haja o parâmetro codproduto, entra no diretório para listar os arquivos
		if(!file_exists($diretorio_img)){
			//Criando pasta do Produto caso a mesma não exista
			mkdir($diretorio_img, 0700);
		}
		
		if(chdir($codproduto)){
			$diretorio = getcwd();		
		}
	};		
	
	// Base64 encoded UTF-8 bytes
	$binary = base64_decode($base);
	
	// Binary, UTF-8 bytes
	header('Content-Type: bitmap; charset=utf-8');
	
	$file = fopen($nome, 'wb');
	
	fwrite($file, $binary);
	
	fclose($file);
?>